
Figure - Bug #118956
【BSP】【EVT3】【ST】【eth】副屏单独重启、OTA升级、过压等情况下关机重启后，需要进入操作界
面8-10s才能同步
2023-07-02 16:06 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-07-02

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0116

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-07-14

Test Type: ST Root cause: 依靠监控函数进行phylink的话，就会比较迟。

Description

【前提条件】

None

【测试步骤】

1. 烧写正常版本后开机

2. 进行OTA升级、或者adb reboot、过压保护断电重启

3. 设备重启后进入操作界面查看网络同步情况

【预期结果】

3 进入操作界面后马上可以同步网络

【实际结果】

3 进入操作界面后需要8-10s才能同步

History

#1 - 2023-07-03 14:49 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD_BSP 彭文亮

#2 - 2023-07-03 16:06 - CD_BSP 彭文亮

结论：  mcu发送的iop link信息从日志“eth.txt”中无法搜索到，*即mpu未收到mcu发送的phy link信号，*因此只能采用驱动中的监控函数进行 link动作。

请安排同事去排查为何没有收到mcu的uart信息。@王祥林

备注：

日志信息摘取

07-02 16:05:28.432     0     0 E [    6.061042] mv2112_read_status: autoneg not complete;time=6060 ms #内核启动基本上没有延迟

07-02 16:05:49.989     0     0 D         : [   27.616107] mv2112 func:mv2112_setup_work_handler:98 phyinit(from delayed_work) suc #只能由监控函数来进行link动作，此

动作设置的靠后。

07-02 16:05:49.989     0     0 I         : [   27.616116] mv2112_setup_forced

07-02 16:05:50.919     0     0 I         : [   28.544657] lan743x 0001:01:00.0 eth0: Link is Up - 100Mbps/Full - flow control off

#3 - 2023-07-05 19:48 - CD TPM-王祥林

如沟通，请考虑在没收到mcu消息的时候在目前的基础上将有线网络提前8-10s建立好。
#4 - 2023-07-06 14:47 - CD_BSP 彭文亮

1）

patch:https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/211544

由内核时间25s执行，改到了12S执行。已经比较提前了。

意欲满足祥林提出的要求。

2）编译好的VB经刘强测试

/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230630/202306301902-1124

“”这个OTA升级了三次，升级完adb reboot各5次，每次启动后大约2-3s左右就能同步，比之前块很多“”

请@王祥林查看效果，是否符合要求。

#5 - 2023-07-12 14:21 - 移动测试一组_CDTS 刘强

- Assignee changed from CD_BSP 彭文亮 to CD TPM-王祥林

#6 - 2023-07-12 18:02 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD_BSP 彭文亮

效果没问题，代码可以review后入库。

#7 - 2023-07-13 15:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211544 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wenliang.peng@thundersoft.com

BSP:Ethernet: Optimize linking time of phy.The start time of the monitor function has beenchanged from a delay of 25S to 12S.TC-RID: 0301-0400601IssueID:

TS-R-DF-118956Change-Id: I9395ff31f674fb6a062ce016812a71b77df2877a

#8 - 2023-07-13 21:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214754 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:Ethernet: Optimize linking time of phy.The start time of the monitor function has beenchanged from a delay of 25S to 12S.TC-RID: 0301-0400601IssueID:

TS-R-DF-118956Change-Id: I9395ff31f674fb6a062ce016812a71b77df2877a(cherry picked from commit ca268a50cbac3d268a0ab4d4810b1c38452e5d29)

#9 - 2023-07-14 17:51 - CD_BSP 彭文亮

2025-07-03 2/3



- Assignee changed from CD_BSP 彭文亮 to 移动测试一组_CDTS 刘强

#10 - 2023-07-14 17:55 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD_BSP 彭文亮

#11 - 2023-07-17 16:36 - CD_BSP 彭文亮

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-07-14

- Root cause set to 依靠监控函数进行phylink的话，就会比较迟。

#12 - 2023-07-17 16:37 - CD_BSP 彭文亮

- Assignee changed from CD_BSP 彭文亮 to 移动测试一组_CDTS 刘强

#13 - 2023-07-17 16:47 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：release 120；122版本

验证结果：设备启动到桌面后2-3s内就会同步

#14 - 2023-07-18 14:28 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

eth.txt 2.77 MB 2023-07-02 移动测试一组_CDTS 刘强
